import java.io.*;
import java.util.*;

public class ParseString 
{
  public static void main(String args[])
  {
    String s;
    String szDelemiters = "\"(),+-=<>?!@#$%^&*~'./\\"; 
    
    System.out.println(
      "* String parser\n");
    
    while(true)
    {    
      System.out.println(
	"Enter string to parse ('quit' to exit): ");
      s = new String(getKbdString());
      
      if(s.equals("quit"))
	break;

      StringTokenizer st = 
	new StringTokenizer(s, szDelemiters, true);
	
      System.out.println();
      	
      while(st.hasMoreTokens())
      {
        System.out.println(st.nextToken());     
      }    
    }  
  }

  // ============================================
  // getKbdString
  // ============================================
  static public String getKbdString()
  {
    byte bKbd[] = new byte[256];
    int iCnt = 0;
    String szStr = "";
    
    try
    {
      iCnt = System.in.read(bKbd);
    }
    catch(Exception ex)
    {
      System.out.println(ex.toString()); 
    }
      
    szStr = new String(bKbd, 0, iCnt);
    szStr = szStr.trim();
    return szStr;
  }
}
